Skip to navigation

Resize a database cluster

Changes the database cluster to a different offering or storage size.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

clusterIdstringRequired
Database cluster ID

Request

This endpoint expects an object.
offeringIdstringRequiredformat: "uuid"
Identifier of the target database offering to resize to.
storageGbintegerOptional
New storage capacity for the cluster, in gigabytes.

Response

Cluster resize initiated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error